Summary:	OpenNTPD - NTP Time Synchronization Client/Server 
Name:		openntpd
Version:	3.9p1
Release:	%mkrel 7
License:	BSD
Group:		System/Servers
URL:		http://www.openntpd.org
Source0:	ftp://ftp.openbsd.org/pub/OpenBSD/OpenNTPD/%{name}-%{version}.tar.bz2
Source1:	openntpd.init
Requires(post): rpm-helper
Requires(preun): rpm-helper
Requires(pre): rpm-helper
Requires(postun): rpm-helper
BuildRequires:	openssl-devel
BuildRequires:	bison
BuildRequires:	byacc
BuildRequires:	groff-for-man
Conflicts:	ntp-client
Provides:	ntp

%description
OpenNTPD is a FREE, easy to use implementation of the Network Time
Protocol. It provides the ability to sync the local clock to
remote NTP servers and can act as NTP server itself,
redistributing the local clock. 

%prep

%setup -q -n %{name}-%{version}

cp %{SOURCE1} openntpd.init

%build

%configure2_5x \
    --disable-strip \
    --with-privsep-user=ntp \
    --with-privsep-path=%{_var}/empty \
    --with-ssl-dir=%{_prefix}
	      
%make

%install
rm -rf %{buildroot}

install -d %{buildroot}%{_initrddir}

%makeinstall_std

install -m0755 openntpd.init %{buildroot}%{_initrddir}/ntpd

%pre
%_pre_useradd ntp %{_var}/empty /bin/false
/usr/sbin/usermod -d %{_var}/empty ntp

%post
%_post_service ntpd

%preun
%_preun_service ntpd

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc CREDITS ChangeLog README*
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/ntpd.conf
%attr(0755,root,root) %{_initrddir}/ntpd
%attr(0755,root,root) %{_sbindir}/*
%attr(0644,root,root) %{_mandir}/man*/*


%changelog
* Sat Apr 30 2011 misc <misc> 3.9p1-7.mga1
+ Revision: 93858
- increase Release so it match the one of Mandriva, for upgrade from stable

* Thu Apr 21 2011 rapsys <rapsys> 3.9p1-1.mga1
+ Revision: 89429
- Import openntpd
- Created package structure for openntpd.

